OpenStack Image Registry and Delivery Service (Glance)

[SRU] Control file needs python-httplib2 dependency

Reported by Tim Dysinger on 2011-09-24
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Low
Chuck Short
glance (Ubuntu)
High
OpenStack Ubuntu packagers
Oneiric
Undecided
Unassigned
Precise
High
OpenStack Ubuntu packagers

Bug Description

Welcome to Ubuntu 11.04 (GNU/Linux 2.6.38-8-server x86_64)

 * Documentation: http://www.ubuntu.com/server/doc
Last login: Tue Sep 20 22:20:01 2011 from 10.0.2.2

vagrant@chef:~$ sudo apt-get install -y python-software-properties
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  python-software-properties
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
Need to get 19.7 kB of archives.
After this operation, 221 kB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ natty/main python-software-properties all 0.80.9 [19.7 kB]
Fetched 19.7 kB in 1s (16.9 kB/s)
Selecting previously deselected package python-software-properties.
(Reading database ... 77200 files and directories currently installed.)
Unpacking python-software-properties (from .../python-software-properties_0.80.9_all.deb) ...
Processing triggers for man-db ...
Setting up python-software-properties (0.80.9) ...
Processing triggers for python-central ...

vagrant@chef:~$ sudo apt-add-repository ppa:openstack-release/2011.3
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver hkp://keyserver.ubuntu.com:80/ --recv 94CA80414F1043F6495425C37D21C2EC3D1B4472
gpg: requesting key 3D1B4472 from hkp server keyserver.ubuntu.com
gpg: key 3D1B4472: public key "Launchpad PPA for OpenStack release team" imported
gpg: Total number processed: 1
gpg: imported: 1 (RSA: 1)

vagrant@chef:~$ sudo apt-get update
Ign http://apt.opscode.com natty-0.10 InRelease
Ign http://archive.canonical.com natty InRelease
Ign http://security.ubuntu.com natty-security InRelease
Ign http://ppa.launchpad.net natty InRelease
Ign http://us.archive.ubuntu.com natty InRelease
Ign http://us.archive.ubuntu.com natty-updates InRelease
Hit http://apt.opscode.com natty-0.10 Release.gpg
Get:1 http://archive.canonical.com natty Release.gpg [198 B]
Get:2 http://security.ubuntu.com natty-security Release.gpg [198 B]
Get:3 http://ppa.launchpad.net natty Release.gpg [316 B]
Hit http://apt.opscode.com natty-0.10 Release
Hit http://us.archive.ubuntu.com natty Release.gpg
Get:4 http://archive.canonical.com natty Release [5,916 B]
Get:5 http://security.ubuntu.com natty-security Release [31.4 kB]
Hit http://apt.opscode.com natty-0.10/main amd64 Packages
Get:6 http://ppa.launchpad.net natty Release [9,760 B]
Get:7 http://us.archive.ubuntu.com natty-updates Release.gpg [198 B]
Ign http://apt.opscode.com natty-0.10/main TranslationIndex
Hit http://us.archive.ubuntu.com natty Release
Get:8 http://archive.canonical.com natty/partner Sources [4,150 B]
Get:9 http://ppa.launchpad.net natty/main Sources [5,282 B]
Get:10 http://us.archive.ubuntu.com natty-updates Release [31.4 kB]
Get:11 http://archive.canonical.com natty/partner amd64 Packages [7,513 B]
Get:12 http://security.ubuntu.com natty-security/main Sources [69.6 kB]
Get:13 http://ppa.launchpad.net natty/main amd64 Packages [9,334 B]
Ign http://ppa.launchpad.net natty/main TranslationIndex
Ign http://archive.canonical.com natty/partner TranslationIndex
Hit http://us.archive.ubuntu.com natty/main Sources
Hit http://us.archive.ubuntu.com natty/restricted Sources
Hit http://us.archive.ubuntu.com natty/universe Sources
Hit http://us.archive.ubuntu.com natty/multiverse Sources
Hit http://us.archive.ubuntu.com natty/main amd64 Packages
Ign http://apt.opscode.com natty-0.10/main Translation-en_US
Ign http://apt.opscode.com natty-0.10/main Translation-en
Hit http://us.archive.ubuntu.com natty/restricted amd64 Packages
Hit http://us.archive.ubuntu.com natty/universe amd64 Packages
Hit http://us.archive.ubuntu.com natty/multiverse amd64 Packages
Ign http://us.archive.ubuntu.com natty/main TranslationIndex
Ign http://us.archive.ubuntu.com natty/multiverse TranslationIndex
Ign http://us.archive.ubuntu.com natty/restricted TranslationIndex
Get:14 http://security.ubuntu.com natty-security/restricted Sources [14 B]
Get:15 http://security.ubuntu.com natty-security/universe Sources [11.3 kB]
Get:16 http://security.ubuntu.com natty-security/multiverse Sources [657 B]
Get:17 http://security.ubuntu.com natty-security/main amd64 Packages [188 kB]
Ign http://us.archive.ubuntu.com natty/universe TranslationIndex
Get:18 http://us.archive.ubuntu.com natty-updates/main Sources [107 kB]
Get:19 http://security.ubuntu.com natty-security/restricted amd64 Packages [14 B]
Get:20 http://security.ubuntu.com natty-security/universe amd64 Packages [39.0 kB]
Get:21 http://us.archive.ubuntu.com natty-updates/restricted Sources [753 B]
Get:22 http://us.archive.ubuntu.com natty-updates/universe Sources [27.0 kB]
Ign http://ppa.launchpad.net natty/main Translation-en_US
Get:23 http://us.archive.ubuntu.com natty-updates/multiverse Sources [1,888 B]
Get:24 http://us.archive.ubuntu.com natty-updates/main amd64 Packages [323 kB]
Ign http://archive.canonical.com natty/partner Translation-en_US
Get:25 http://security.ubuntu.com natty-security/multiverse amd64 Packages [1,945 B]
Ign http://security.ubuntu.com natty-security/main TranslationIndex
Ign http://security.ubuntu.com natty-security/multiverse TranslationIndex
Ign http://security.ubuntu.com natty-security/restricted TranslationIndex
Ign http://security.ubuntu.com natty-security/universe TranslationIndex
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://archive.canonical.com natty/partner Translation-en
Get:26 http://us.archive.ubuntu.com natty-updates/restricted amd64 Packages [838 B]
Get:27 http://us.archive.ubuntu.com natty-updates/universe amd64 Packages [93.0 kB]
Get:28 http://us.archive.ubuntu.com natty-updates/multiverse amd64 Packages [4,184 B]
Ign http://us.archive.ubuntu.com natty-updates/main TranslationIndex
Ign http://us.archive.ubuntu.com natty-updates/multiverse TranslationIndex
Ign http://us.archive.ubuntu.com natty-updates/restricted TranslationIndex
Ign http://us.archive.ubuntu.com natty-updates/universe TranslationIndex
Ign http://security.ubuntu.com natty-security/main Translation-en_US
Ign http://security.ubuntu.com natty-security/main Translation-en
Ign http://security.ubuntu.com natty-security/multiverse Translation-en_US
Ign http://security.ubuntu.com natty-security/multiverse Translation-en
Ign http://security.ubuntu.com natty-security/restricted Translation-en_US
Ign http://security.ubuntu.com natty-security/restricted Translation-en
Ign http://security.ubuntu.com natty-security/universe Translation-en_US
Ign http://security.ubuntu.com natty-security/universe Translation-en
Ign http://us.archive.ubuntu.com natty/main Translation-en_US
Ign http://us.archive.ubuntu.com natty/main Translation-en
Ign http://us.archive.ubuntu.com natty/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com natty/multiverse Translation-en
Ign http://us.archive.ubuntu.com natty/restricted Translation-en_US
Ign http://us.archive.ubuntu.com natty/restricted Translation-en
Ign http://us.archive.ubuntu.com natty/universe Translation-en_US
Ign http://us.archive.ubuntu.com natty/universe Translation-en
Ign http://us.archive.ubuntu.com natty-updates/main Translation-en_US
Ign http://us.archive.ubuntu.com natty-updates/main Translation-en
Ign http://us.archive.ubuntu.com natty-updates/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com natty-updates/multiverse Translation-en
Ign http://us.archive.ubuntu.com natty-updates/restricted Translation-en_US
Ign http://us.archive.ubuntu.com natty-updates/restricted Translation-en
Ign http://us.archive.ubuntu.com natty-updates/universe Translation-en_US
Ign http://us.archive.ubuntu.com natty-updates/universe Translation-en
Fetched 974 kB in 6s (148 kB/s)
Reading package lists... Done

vagrant@chef:~$ sudo apt-get install glance
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libyaml-0-2 python-amqplib python-anyjson python-argparse python-decorator python-eventlet python-formencode python-glance python-greenlet python-kombu python-migrate
  python-openid python-openssl python-paste python-pastedeploy python-pastescript python-pkg-resources python-routes python-scgi python-setuptools python-simplejson
  python-sqlalchemy python-sqlalchemy-ext python-tempita python-webob python-xattr python-yaml
Suggested packages:
  python-argparse-doc python-egenix-mxdatetime python-dns python-greenlet-doc python-greenlet-dev python-greenlet-dbg python-kombu-doc python-pymongo python-openssl-doc
  python-openssl-dbg python-pastewebkit libapache2-mod-wsgi libapache2-mod-python libapache2-mod-scgi python-pgsql libjs-mochikit python-cherrypy3 python-cherrypy python-flup
  python-cheetah python-distribute python-distribute-doc python-sqlalchemy-doc python-psycopg2 python-mysqldb python-kinterbasdb python-pymssql
The following NEW packages will be installed:
  glance libyaml-0-2 python-amqplib python-anyjson python-argparse python-decorator python-eventlet python-formencode python-glance python-greenlet python-kombu python-migrate
  python-openid python-openssl python-paste python-pastedeploy python-pastescript python-pkg-resources python-routes python-scgi python-setuptools python-simplejson
  python-sqlalchemy python-sqlalchemy-ext python-tempita python-webob python-xattr python-yaml
0 upgraded, 28 newly installed, 0 to remove and 28 not upgraded.
Need to get 3,571 kB of archives.
After this operation, 25.3 MB of additional disk space will be used.
Do you want to continue [Y/n]?
Get:1 http://ppa.launchpad.net/openstack-release/2011.3/ubuntu/ natty/main python-anyjson all 0.3.1-0ubuntu1~natty0 [7,292 B]
Get:2 http://us.archive.ubuntu.com/ubuntu/ natty/main libyaml-0-2 amd64 0.1.3-1 [55.0 kB]
Get:3 http://ppa.launchpad.net/openstack-release/2011.3/ubuntu/ natty/main python-eventlet all 0.9.15-0ubuntu2~natty5 [282 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ natty/universe python-amqplib all 0.6.1-1 [53.6 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ natty/main python-argparse all 1.1-1 [43.4 kB]
Get:6 http://us.archive.ubuntu.com/ubuntu/ natty/universe python-decorator all 3.2.0-1 [45.6 kB]
Get:7 http://us.archive.ubuntu.com/ubuntu/ natty/universe python-greenlet amd64 0.3.1-1ubuntu1build1 [16.6 kB]
Get:8 http://us.archive.ubuntu.com/ubuntu/ natty/main python-pkg-resources all 0.6.15-1ubuntu1 [63.0 kB]
Get:9 http://ppa.launchpad.net/openstack-release/2011.3/ubuntu/ natty/main python-kombu all 1.0.4-2~natty1 [79.7 kB]
Get:10 http://us.archive.ubuntu.com/ubuntu/ natty/main python-formencode all 1.2.2-1ubuntu5 [235 kB]
Get:11 http://ppa.launchpad.net/openstack-release/2011.3/ubuntu/ natty/main python-webob all 1.0.8-0~ppanatty1 [285 kB]
Get:12 http://us.archive.ubuntu.com/ubuntu/ natty/universe python-sqlalchemy all 0.6.4-3 [470 kB]
Get:13 http://ppa.launchpad.net/openstack-release/2011.3/ubuntu/ natty/main python-glance all 2011.3-0ubuntu0~ppa1~natty1 [137 kB]
Get:14 http://ppa.launchpad.net/openstack-release/2011.3/ubuntu/ natty/main glance all 2011.3-0ubuntu0~ppa1~natty1 [23.4 kB]
Get:15 http://us.archive.ubuntu.com/ubuntu/ natty/universe python-tempita all 0.4-1 [52.0 kB]
Get:16 http://us.archive.ubuntu.com/ubuntu/ natty/universe python-migrate all 0.6-4 [161 kB]
Get:17 http://us.archive.ubuntu.com/ubuntu/ natty/main python-openid all 2.2.4-1build1 [265 kB]
Get:18 http://us.archive.ubuntu.com/ubuntu/ natty/main python-openssl amd64 0.10-1ubuntu3 [127 kB]
Get:19 http://us.archive.ubuntu.com/ubuntu/ natty/main python-paste all 1.7.5.1-1ubuntu1 [402 kB]
Get:20 http://us.archive.ubuntu.com/ubuntu/ natty/main python-pastedeploy all 1.3.3-3ubuntu2 [34.5 kB]
Get:21 http://us.archive.ubuntu.com/ubuntu/ natty/main python-setuptools all 0.6.15-1ubuntu1 [217 kB]
Get:22 http://us.archive.ubuntu.com/ubuntu/ natty/main python-pastescript all 1.7.3-6 [144 kB]
Get:23 http://us.archive.ubuntu.com/ubuntu/ natty/universe python-routes all 1.12.3-1 [36.6 kB]
Get:24 http://us.archive.ubuntu.com/ubuntu/ natty/main python-scgi amd64 1.13-1build1 [20.2 kB]
Get:25 http://us.archive.ubuntu.com/ubuntu/ natty/main python-simplejson amd64 2.1.2-1build1 [82.9 kB]
Get:26 http://us.archive.ubuntu.com/ubuntu/ natty/universe python-sqlalchemy-ext amd64 0.6.4-3 [21.2 kB]
Get:27 http://us.archive.ubuntu.com/ubuntu/ natty/universe python-xattr amd64 0.6-1build1 [15.1 kB]
Get:28 http://us.archive.ubuntu.com/ubuntu/ natty/main python-yaml amd64 3.09-5ubuntu2 [197 kB]
Fetched 3,571 kB in 12s (291 kB/s)
Selecting previously deselected package libyaml-0-2.
(Reading database ... 77235 files and directories currently installed.)
Unpacking libyaml-0-2 (from .../libyaml-0-2_0.1.3-1_amd64.deb) ...
Selecting previously deselected package python-amqplib.
Unpacking python-amqplib (from .../python-amqplib_0.6.1-1_all.deb) ...
Selecting previously deselected package python-anyjson.
Unpacking python-anyjson (from .../python-anyjson_0.3.1-0ubuntu1~natty0_all.deb) ...
Selecting previously deselected package python-argparse.
Unpacking python-argparse (from .../python-argparse_1.1-1_all.deb) ...
Selecting previously deselected package python-decorator.
Unpacking python-decorator (from .../python-decorator_3.2.0-1_all.deb) ...
Selecting previously deselected package python-greenlet.
Unpacking python-greenlet (from .../python-greenlet_0.3.1-1ubuntu1build1_amd64.deb) ...
Selecting previously deselected package python-eventlet.
Unpacking python-eventlet (from .../python-eventlet_0.9.15-0ubuntu2~natty5_all.deb) ...
Selecting previously deselected package python-pkg-resources.
Unpacking python-pkg-resources (from .../python-pkg-resources_0.6.15-1ubuntu1_all.deb) ...
Selecting previously deselected package python-formencode.
Unpacking python-formencode (from .../python-formencode_1.2.2-1ubuntu5_all.deb) ...
Selecting previously deselected package python-kombu.
Unpacking python-kombu (from .../python-kombu_1.0.4-2~natty1_all.deb) ...
Selecting previously deselected package python-sqlalchemy.
Unpacking python-sqlalchemy (from .../python-sqlalchemy_0.6.4-3_all.deb) ...
Selecting previously deselected package python-tempita.
Unpacking python-tempita (from .../python-tempita_0.4-1_all.deb) ...
Selecting previously deselected package python-migrate.
Unpacking python-migrate (from .../python-migrate_0.6-4_all.deb) ...
Selecting previously deselected package python-openid.
Unpacking python-openid (from .../python-openid_2.2.4-1build1_all.deb) ...
Selecting previously deselected package python-openssl.
Unpacking python-openssl (from .../python-openssl_0.10-1ubuntu3_amd64.deb) ...
Selecting previously deselected package python-paste.
Unpacking python-paste (from .../python-paste_1.7.5.1-1ubuntu1_all.deb) ...
Selecting previously deselected package python-pastedeploy.
Unpacking python-pastedeploy (from .../python-pastedeploy_1.3.3-3ubuntu2_all.deb) ...
Selecting previously deselected package python-setuptools.
Unpacking python-setuptools (from .../python-setuptools_0.6.15-1ubuntu1_all.deb) ...
Selecting previously deselected package python-pastescript.
Unpacking python-pastescript (from .../python-pastescript_1.7.3-6_all.deb) ...
Selecting previously deselected package python-routes.
Unpacking python-routes (from .../python-routes_1.12.3-1_all.deb) ...
Selecting previously deselected package python-scgi.
Unpacking python-scgi (from .../python-scgi_1.13-1build1_amd64.deb) ...
Selecting previously deselected package python-simplejson.
Unpacking python-simplejson (from .../python-simplejson_2.1.2-1build1_amd64.deb) ...
Selecting previously deselected package python-sqlalchemy-ext.
Unpacking python-sqlalchemy-ext (from .../python-sqlalchemy-ext_0.6.4-3_amd64.deb) ...
Selecting previously deselected package python-webob.
Unpacking python-webob (from .../python-webob_1.0.8-0~ppanatty1_all.deb) ...
Selecting previously deselected package python-xattr.
Unpacking python-xattr (from .../python-xattr_0.6-1build1_amd64.deb) ...
Selecting previously deselected package python-yaml.
Unpacking python-yaml (from .../python-yaml_3.09-5ubuntu2_amd64.deb) ...
Selecting previously deselected package python-glance.
Unpacking python-glance (from .../python-glance_2011.3-0ubuntu0~ppa1~natty1_all.deb) ...
Selecting previously deselected package glance.
Unpacking glance (from .../glance_2011.3-0ubuntu0~ppa1~natty1_all.deb) ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Setting up libyaml-0-2 (0.1.3-1) ...
Setting up python-amqplib (0.6.1-1) ...
Setting up python-anyjson (0.3.1-0ubuntu1~natty0) ...
Setting up python-argparse (1.1-1) ...
Setting up python-decorator (3.2.0-1) ...
Setting up python-greenlet (0.3.1-1ubuntu1build1) ...
Setting up python-eventlet (0.9.15-0ubuntu2~natty5) ...
Setting up python-pkg-resources (0.6.15-1ubuntu1) ...
Setting up python-formencode (1.2.2-1ubuntu5) ...
Setting up python-kombu (1.0.4-2~natty1) ...
Setting up python-sqlalchemy (0.6.4-3) ...
Setting up python-tempita (0.4-1) ...
Setting up python-migrate (0.6-4) ...
Setting up python-openid (2.2.4-1build1) ...
Setting up python-openssl (0.10-1ubuntu3) ...
Setting up python-paste (1.7.5.1-1ubuntu1) ...
Setting up python-pastedeploy (1.3.3-3ubuntu2) ...
Setting up python-setuptools (0.6.15-1ubuntu1) ...
Setting up python-pastescript (1.7.3-6) ...
Setting up python-routes (1.12.3-1) ...
Setting up python-scgi (1.13-1build1) ...
Setting up python-simplejson (2.1.2-1build1) ...
Setting up python-sqlalchemy-ext (0.6.4-3) ...
Setting up python-webob (1.0.8-0~ppanatty1) ...
Setting up python-xattr (0.6-1build1) ...
Setting up python-yaml (3.09-5ubuntu2) ...
Setting up python-glance (2011.3-0ubuntu0~ppa1~natty1) ...
Setting up glance (2011.3-0ubuntu0~ppa1~natty1) ...
Adding system user `glance' (UID 109) ...
Adding new user `glance' (UID 109) with group `nogroup' ...
Not creating home directory `/var/lib/glance'.
Traceback (most recent call last):
  File "/usr/bin/glance-manage", line 47, in <module>
    import glance.registry.db
  File "/usr/lib/python2.7/dist-packages/glance/registry/__init__.py", line 24, in <module>
    from glance.registry import client
  File "/usr/lib/python2.7/dist-packages/glance/registry/client.py", line 26, in <module>
    from glance.common.client import BaseClient
  File "/usr/lib/python2.7/dist-packages/glance/common/client.py", line 13, in <module>
    from glance.common import auth
  File "/usr/lib/python2.7/dist-packages/glance/common/auth.py", line 33, in <module>
    import httplib2
ImportError: No module named httplib2
dpkg: error processing glance (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...
Errors were encountered while processing:
 glance
E: Sub-process /usr/bin/dpkg returned an error code (1)

temporary solution is to install python-httplib first

Jay Pipes (jaypipes) wrote :

Hey Chuck, would you mind looking into this one? Looks like the packaging in Ubuntu for Glance needs to make sure httplib2 is installed....

Thanks!
-jay

Changed in glance:
status: New → Confirmed
importance: Undecided → Low
assignee: nobody → Chuck Short (zulcss)
milestone: none → essex-1
Dave Walker (davewalker) on 2011-10-16
Changed in glance (Ubuntu):
assignee: nobody → OpenStack Ubuntu packagers (openstack-ubuntu-packagers)
Dave Walker (davewalker) on 2011-10-21
Changed in glance (Ubuntu):
importance: Undecided → Medium
Jay Pipes (jaypipes) on 2011-11-02
Changed in glance:
milestone: essex-1 → essex-2
Jay Pipes (jaypipes) wrote :

AFAICT, this has already been addressed in the debian control file...

Changed in glance:
status: Confirmed → Fix Committed
Changed in glance (Ubuntu):
status: New → Fix Committed
Changed in glance:
milestone: essex-2 → essex-1
summary: - apt pkg for glance in openstack-release 2011.3 has dependency problem
+ Control file needs python-httplib2 dependency

@Chuck, can we have a fix in Oneiric?

Chuck Short (zulcss) on 2011-11-11
summary: - Control file needs python-httplib2 dependency
+ [SRU] Control file needs python-httplib2 dependency
Chuck Short (zulcss) wrote :

[Impact] Users who do not have python-httplib2 installed on their machines previously will not be able to run glance, due to a missing python-httplib2.

[Development Fix] Fixed in precise, by adding the dependency.

[Test Case]
1. Install glance, make sure you dont have python-httplib2
2. Try to Start glance
3. Install glance from proposed
4. Start glance.

There shouldnt be any chance of regressions.

Hello Tim, or anyone else affected,

Accepted glance into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in glance (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed
Thierry Carrez (ttx) on 2011-11-17
Changed in glance:
status: Fix Committed → Fix Released
Tom Ellis (tellis) wrote :

The glance package (2011.3-0ubuntu4.1) in oneiric-proposed fixes the dependency issues for me. Thanks!

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Please fix in precise ASAP, so that this can progress to oneiric-updates.

Changed in glance (Ubuntu Precise):
importance: Medium → High
milestone: none → precise-alpha-1
Dave Walker (davewalker) wrote :

glance (2012.1~e1~20111021.1056-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Dropped patches:
    - debian/patches/lp_845788_glance_client_zero_length.patch
    - debian/patches/lp_850425_remote_swift_image_streaming.patch
  * debian/control:
    - Add dependency on python-httplib2. (LP: #779311)
    - Add dependency on python-paste.
  * debian/patches/sql_conn.patch: Updated for update config file.
  * debian/glance.install: Update for new config files.

 -- Chuck Short <email address hidden> Fri, 21 Oct 2011 14:11:04 -0400

Changed in glance (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 2011.3-0ubuntu4.1

---------------
glance (2011.3-0ubuntu4.1) oneiric-proposed; urgency=low

  * debian/control: Add python-httplib2. (LP: #857956)
 -- Chuck Short <email address hidden> Fri, 11 Nov 2011 08:50:26 -0500

Changed in glance (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in glance:
milestone: essex-1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers